/* global angular, random */
angular.module("app").config([
    '$stateProvider',
    function ($stateProvider) {
        $stateProvider.state('main.usuario_agregar', {
            url: '/agregar-usuario',
            templateUrl: 'templates/usuarios/usuario-form.html' + random,
            controller: 'UsuariosAgregarCtrl',
            resolve: {
                loadMyCtrl: [
                    '$ocLazyLoad',
                    function ($ocLazyLoad) {
                        return $ocLazyLoad.load([
                            'js/controllers/usuarios-controllers.js' + random,
                            'js/services/usuarios-services.js' + random,
                            'js/services/empleados-services.js' + random,
                            'js/services/roles-services.js' + random
                        ]);
                    }
                ]
            }
        });
    }
]);
